pairs.formula {base} | R Documentation

## Formula Notation for Scatterplot Matrices

### Description

Produce a matrix of scatterplots using formula notation.

### Usage

    pairs.formula(formula, data = NULL, subset, na.action, ...)

### Arguments

`formula` | a formula, such as `y ~ x`.
`data` | a data.frame (or list) from which the variables in `formula` should be taken.
`subset` | an optional vector specifying a subset of observations to be used in the fitting process.
`na.action` | a function which indicates what should happen when the data contain `NA`s.
`...` | graphical parameters may also be passed as arguments, see `par`.

### Details

This is a method of the generic function `pairs`. It operates by setting up the data from the formula specification, and then calling `pairs.default`.

### See Also

`pairs.default`

### Examples

    data(swiss)
    pairs(~ Fertility + Education + Catholic,
          data = swiss, subset = Education < 20)

[Package Contents]